import { EventEmitter } from '@angular/core';
import { RCalendarCell, RCalendarSize, RCalendarSizeValues } from '../calendar-kit/model';
import { RCalendarRange } from './calendar-range.component';
import { RDateService } from '../calendar-kit/services/date.service';
import { RBaseCalendarRangeCell } from './base-calendar-range-cell';
export declare class RCalendarRangeDayCellComponent<D> extends RBaseCalendarRangeCell<D> implements RCalendarCell<D, RCalendarRange<D>> {
    protected dateService: RDateService<D>;
    date: D;
    selectedValue: RCalendarRange<D>;
    visibleDate: D;
    min: D;
    max: D;
    filter: (D: any) => boolean;
    size: RCalendarSize;
    static ngAcceptInputType_size: RCalendarSizeValues;
    select: EventEmitter<D>;
    constructor(dateService: RDateService<D>);
    get inRange(): boolean;
    get start(): boolean;
    get end(): boolean;
    rangeCellClass: boolean;
    dayCellClass: boolean;
    get today(): boolean;
    get boundingMonth(): boolean;
    get selected(): boolean;
    get empty(): boolean;
    get disabled(): boolean;
    get isLarge(): boolean;
    get day(): number;
    onClick(): void;
    protected smallerThanMin(): boolean;
    protected greaterThanMax(): boolean;
    protected dontFitFilter(): boolean;
    protected isInRange(date: D, { start, end }: RCalendarRange<D>): boolean;
}
